summaryrefslogtreecommitdiff
path: root/test/tiffcp-logluv.sh
diff options
context:
space:
mode:
authorFrank Warmerdam <warmerdam@pobox.com>2009-06-30 17:25:26 +0000
committerFrank Warmerdam <warmerdam@pobox.com>2009-06-30 17:25:26 +0000
commitf4da7ed52ef48a6d30f998cf623a7ca7d23c731b (patch)
tree862afb587ea25ea68c305d4bf090ba34655824c9 /test/tiffcp-logluv.sh
parentb6de22980024fdcda1cb60f98ca1a9da725aadfd (diff)
downloadlibtiff-git-f4da7ed52ef48a6d30f998cf623a7ca7d23c731b.tar.gz
add -c sgilog to tiffcp, add minimal logluv testing
Diffstat (limited to 'test/tiffcp-logluv.sh')
-rwxr-xr-xtest/tiffcp-logluv.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/tiffcp-logluv.sh b/test/tiffcp-logluv.sh
new file mode 100755
index 00000000..98d5ca00
--- /dev/null
+++ b/test/tiffcp-logluv.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+#
+# Basic sanity check for tiffcp with G3 compression
+#
+. ${srcdir:-.}/common.sh
+outfile=deleteme-raw-$$.tif
+outfile2=deleteme-sgilog-$$.tif
+operation=tiffcp
+${TIFFCP} -c none images/logluv-3c-16b.tiff ${outfile}
+status=$?
+
+if test $status -eq 0 ; then
+ ${TIFFCP} -c sgilog ${outfile} ${outfile2}
+fi
+
+if test $status -eq 0 ; then
+ rm -f ${outfile} ${outfile2}
+else
+ echo "Test failed (${operation} returns ${status}). Please inspect these output files:"
+ echo " " ${outfile} ${outfile2}
+fi
+
+exit $status